🚧 [Experimental] List Trino clusters
Returns a list of Trino clusters available to the current DataLens tenant.
Request
POST
https://api.datalens.tech/rpc/listTrinoClusters
Headers
|
Name |
Description |
|
x-dl-api-version |
Type: string API version header. Const: Example: |
Body
application/json
{
"pageSize": 0,
"pageToken": "example",
"filter": [
"example"
],
"collectionId": "example",
"catalogId": "example"
}
|
Name |
Description |
|
catalogId |
Type: string ID of the REST catalog attached to the Trino clusters. Min length: Max length: Example: |
|
collectionId |
Type: string ID of the DataLens collection that contains the Trino clusters. Min length: Max length: Example: |
|
filter |
Type: string[] Filter expressions applied to the Trino cluster list. Example
|
|
pageSize |
Type: integer Maximum number of Trino clusters to return. The default is 100. Min value: |
|
pageToken |
Type: string Token for the next page of Trino clusters. Example: |
Responses
200 OK
Response
Body
application/json
{
"clusters": [
{
"id": "example",
"clusterId": "example",
"collectionId": "example",
"cloudEnvironmentId": "example",
"name": "example",
"description": "example",
"labels": {},
"config": {
"trinoVersion": "example",
"catalogsConfig": [
{}
],
"coordinatorConfig": {
"resources": {}
},
"workerConfig": {
"resources": {},
"scalePolicy": {}
},
"retryPolicy": {
"policy": "POLICY_UNSPECIFIED"
}
},
"health": "HEALTH_UNKNOWN",
"status": "STATUS_UNKNOWN",
"coordinatorUrl": "example",
"entryId": "example"
}
],
"nextPageToken": "example"
}
|
Name |
Description |
|
clusters |
Type: TrinoCluster[] Trino clusters matching the request. Example
|
|
nextPageToken |
Type: string Token for the next page of Trino clusters. Example: |
TrinoCluster
|
Name |
Description |
||||||||||||||||||||||||||||||
|
cloudEnvironmentId |
Type: string ID of the associated cloud environment. Min length: Example: |
||||||||||||||||||||||||||||||
|
clusterId |
Type: string ID of the managed Trino cluster. Example: |
||||||||||||||||||||||||||||||
|
collectionId |
Type: string ID of the DataLens collection that contains the cluster. Min length: Example: |
||||||||||||||||||||||||||||||
|
config |
Type: object
Example
|
||||||||||||||||||||||||||||||
|
coordinatorUrl |
Type: string Address of the Trino coordinator. Example: |
||||||||||||||||||||||||||||||
|
description |
Type: string Description of the Trino cluster. Example: |
||||||||||||||||||||||||||||||
|
entryId |
Type: string ID of the DataLens entry of the Trino cluster. Empty when the cluster has no entry. Example: |
||||||||||||||||||||||||||||||
|
health |
Type: string Aggregated health of the Trino cluster. Enum: |
||||||||||||||||||||||||||||||
|
id |
Type: string ID of the Trino cluster. Min length: Example: |
||||||||||||||||||||||||||||||
|
labels |
Type: object
Trino cluster labels. Example
|
||||||||||||||||||||||||||||||
|
name |
Type: string Name of the Trino cluster. Min length: Example: |
||||||||||||||||||||||||||||||
|
status |
Type: string Current status of the Trino cluster. Enum: |
Example
{
"id": "example",
"clusterId": "example",
"collectionId": "example",
"cloudEnvironmentId": "example",
"name": "example",
"description": "example",
"labels": {},
"config": {
"trinoVersion": "example",
"catalogsConfig": [
{
"catalogId": "example"
}
],
"coordinatorConfig": {
"resources": {
"resourcePresetId": "example"
}
},
"workerConfig": {
"resources": {
"resourcePresetId": "example"
},
"scalePolicy": {
"autoScale": {
"minCount": "example",
"maxCount": "example"
},
"scaleType": "autoScale"
}
},
"retryPolicy": {
"policy": "POLICY_UNSPECIFIED"
}
},
"health": "HEALTH_UNKNOWN",
"status": "STATUS_UNKNOWN",
"coordinatorUrl": "example",
"entryId": "example"
}